/**
 * CDrawer - 抽屉
 * @author Tevin
 */

<template>
    <view
        class="c-drawer"
        :class="[show?'c-drawer-show':'', 'c-drawer-' + direction]"
    >
        <view
            class="c-drawer-mask"
            @tap="evt => handleClose()"
        ></view>
        <view class="c-drawer-container">
            <slot />
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import {} from 'taro-ui-vue';
import './cDrawer.scss';

export default {
    name: 'CDrawer',
    components: {},
    props: {
        // 显示隐藏
        show: { type: Boolean, default: false },
        // 从哪个方向滑出，支持 top、left、right
        direction: { type: String, default: 'right' },
        // 关闭回调
        onClose: Function,
    },
    data() {
        return {};
    },
    methods: {
        handleClose() {
            this.onClose();
        },
    },
    mounted() {},
};
</script>
